<?php
	function afficherMoyenneGlobaleParRegion()
	{

		global $connexion;

		$html = '';

		$userID = $_SESSION['usagerConsultIsoActif']->u_id;
		$userRegion = $_SESSION['usagerConsultIsoActif']->u_region;

		// Si on reçoit cette donnée dans le $_GET, c'est pour afficher
		// afficher les données d'une saison antérieure
		if (isset($_GET['saison']) || isset($_POST['saison']))
		{
			$saison = (isset($_GET['saison']) ? $_GET['saison'] : $_POST['saison']);
			$saisonPourQuery = '_' . str_replace('-', '_', $saison);
		}
		else
		{
			// Saison courante
			$saison = '2023-2024';
			$saisonPourQuery = '';
		}

		$html = '';

		$html .= '<strong style="font-size:24px;">' . $saison . '</strong>';

		$html .= '<br />';


		// FORM POUR SÉLECTIONNER LA RÉGION
		// (Si usager admin de toutes les régions)
		if ($userRegion == '99')
		{
			$html .= '<br />';

			$html .= '<form name="frmSelectRegion" id="frmSelectRegion" method="post" action="' . $_SERVER['PHP_SELF'] . '?p=mGlobaleParIR">';

				if (isset($_GET['saison']) || isset($_POST['saison']))
					$html .= '<input type="hidden" name="saison" value="' . $saison . '">';

				if (isset($_POST['sltQuelleRegion']) && $_POST['sltQuelleRegion'] == 'choisir')
				{
					$html .= '<span style="color:#990000; font-weight:bold;">Vous devez sélectionner une région.</span>';
					$html .= '<br style="clear:both;" />';
				}

				$html .= 'Région : ';

				$html .= '<select name="sltQuelleRegion">';

					$html .= '<option value="choisir" selected>choisir</option>';

					$requete = 'SELECT * FROM t_arse ORDER BY a_nom ASC';
					if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }

					while ($ligne = $resultat->fetch_assoc())
					{
						if (isset($_POST['sltQuelleRegion']) && $_POST['sltQuelleRegion'] == $ligne['a_id'])
							$html .= '<option value="' . $ligne['a_id'] . '" selected="selected">' . $ligne['a_nomComplet'] . '</option>';
						else
							$html .= '<option value="' . $ligne['a_id'] . '">' . $ligne['a_nomComplet'] . '</option>';
					}

				$html .= '</select> ';

				$html .= '<input type="button" value="Choisir" onclick="$(\'#frmSelectRegion\').submit();">';

			$html .= '</form>';

			if (isset($_POST['sltQuelleRegion']) && $_POST['sltQuelleRegion'] != 'choisir')
				$html .= afficherMoyenneGlobaleDeRegion($_POST['sltQuelleRegion']);
		}
		else
			$html .= afficherMoyenneGlobaleDeRegion($userRegion);

		return utf8_decode($html);
	}

function afficherMoyenneGlobaleDeRegion($pRegion)
{
	global $connexion;

	$html = '';

	// Si on reçoit cette donnée dans le $_GET, c'est pour afficher
	// afficher les données d'une saison antérieure
	if (isset($_GET['saison']) || isset($_POST['saison']))
	{
		$saison = (isset($_GET['saison']) ? $_GET['saison'] : $_POST['saison']);
		$saisonPourQuery = '_' . str_replace('-', '_', $saison);
	}
	else
	{
		// Saison courante
		$saison = '2023-2024';
		$saisonPourQuery = '';
	}

	$html .= '<br />';

	// si l'usager n'est pas administrateur de tous les Instances Régionales
	$requete = 'SELECT a_nomComplet FROM t_arse WHERE a_id = \'' . escape_valeur($pRegion) . '\'';
	if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
	$ligne = $resultat->fetch_assoc();

	$html .= 'Instance r&eacute;gionale: <strong>' . $ligne['a_nomComplet'] . '</strong>';

	$html .= '<br />';

	##############################################################################
	### PRIMAIRE #################################################################
	##############################################################################
	// On va chercher les formulaire primaire complets
	if ($saison == '2013-2014' || $saison == '2014-2015')
	{
		$requete = 'SELECT
		COUNT(*) AS totalFormsComplets,
		SUM(fp_q1+fp_q2+fp_q3+fp_q4+fp_q5+fp_q6+fp_q7+fp_q81+fp_q82+fp_q83+fp_q9+fp_q10+fp_q11) AS totalPointsFormsComplets
		FROM isoactif_t_form_p' . $saisonPourQuery . ',isoactif_t_usager_ecole,t_liste_ecoles_08,t_arse
		WHERE fp_u_id_fk = u_id AND u_e_id_fk = ID AND a_id_fk = a_id AND a_id = ' . escape_valeur($pRegion) . ' AND fp_complet = \'oui\'';
		if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
		$ligne = $resultat->fetch_assoc();
	}
	else if ($saison == '2015-2016' || $saison == '2016-2017') // 2015-2016 et 2016-2017
	{
		$requete = 'SELECT
		COUNT(*) AS totalFormsComplets,
		SUM(fp_q1+fp_q2+fp_q3+fp_q4+fp_q6+fp_q7+fp_q81+fp_q82+fp_q83+fp_q9+fp_q10+fp_q11) AS totalPointsFormsComplets
		FROM isoactif_t_form_p' . $saisonPourQuery . ',isoactif_t_usager_ecole,t_liste_ecoles_08,t_arse
		WHERE fp_u_id_fk = u_id AND u_e_id_fk = ID AND a_id_fk = a_id AND a_id = ' . escape_valeur($pRegion) . ' AND fp_complet = \'oui\'';
		if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
		$ligne = $resultat->fetch_assoc();
	}
	else if ($saison == '2017-2018' || $saison == '2018-2019' || $saison == '2019-2020') // 2018-2019++
	{
		$requete = 'SELECT
		COUNT(*) AS totalFormsStarted,
		SUM(IFNULL(fp_q1, 0) + IFNULL(fp_q2_1, 0)+IFNULL(fp_q2_2, 0)+IFNULL(fp_q3_1, 0)+IFNULL(fp_q3_2, 0)+IFNULL(fp_q4, 0)+IFNULL(fp_q5, 0)+IFNULL(fp_q6, 0)+IFNULL(fp_q7_1, 0)+IFNULL(fp_q7_2, 0)+IFNULL(fp_q8, 0)+IFNULL(fp_q9, 0)+IFNULL(fp_q10, 0)) AS totalPointsFormsComplets
		FROM isoactif_form_p' . $saisonPourQuery . ',isoactif_t_usager_ecole,t_liste_ecoles_08,t_arse
		WHERE fp_u_id_fk = u_id AND u_e_id_fk = ID AND a_id_fk = a_id AND a_id = ' . escape_valeur($pRegion);
		if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
		$ligne = $resultat->fetch_assoc();
	}
	else if ($saison == '2022-2023') // 2022-2023
	{
		$requete = 'SELECT
		COUNT(*) AS totalFormsStarted,
		SUM(IFNULL(fp_q1, 0) + IFNULL(fp_q2_1, 0)+IFNULL(fp_q2_2, 0)+IFNULL(fp_q3_1, 0)+IFNULL(fp_q3_2, 0)+IFNULL(fp_q4, 0)+IFNULL(fp_q5, 0)+IFNULL(fp_q6, 0)+IFNULL(fp_q7_1, 0)+IFNULL(fp_q7_2, 0)+IFNULL(fp_q8, 0)+IFNULL(fp_q9, 0)+IFNULL(fp_q10, 0)) AS totalPointsFormsComplets
		FROM isoactif_form_p' . $saisonPourQuery . ',isoactif_t_usager_ecole,t_liste_ecoles_08,t_arse
		WHERE fp_u_id_fk = u_id AND u_e_id_fk = ID AND a_id_fk = a_id AND a_id = ' . escape_valeur($pRegion);
		if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
		$ligne = $resultat->fetch_assoc();
	}

	if ($saison == '2013-2014' || $saison == '2014-2015')
		$primaireMax = $ligne['totalFormsComplets'] * 75;
	else if ($saison == '2015-2016' || $saison == '2015-2016') // 2015-2016 et 2016-2017
		$primaireMax = $ligne['totalFormsComplets'] * 69;
	else if ($saison == '2017-2018' || $saison == '2018-2019' || $saison == '2019-2020') // 2018-2019++
	    $primaireMax = $ligne['totalFormsStarted'] * 50;
	else if ($saison == '2022-2023') // 2022-2023
	    $primaireMax = $ligne['totalFormsStarted'] * 50;

	$primaireTotal = $ligne['totalPointsFormsComplets'];

	$resultat->free();

	// Si aucun formulaire primaire complété
	if ($primaireMax == 0)
	{
		$html .= '<br />';
		$html .= '<strong>PRIMAIRE :</strong> Aucun formulaire compl&eacute;t&eacute;';
	}
	else
	{
		$pctgTotalP = ($primaireTotal * 100) / $primaireMax;
		$pctgTotalP = round($pctgTotalP);

		$html .= '<br />';
		$html .= '<strong>PRIMAIRE :</strong> ' . $primaireTotal . '/' . $primaireMax . ' (' . $pctgTotalP . '%) - ';

		$html .= afficherCertificationPrimaire($pctgTotalP);
	}
	##############################################################################
	##############################################################################
	##############################################################################




	##############################################################################
	### SECONDAIRE ###############################################################
	##############################################################################
	// On va chercher les formulaire primaire complets
	if ($saison == '2013-2014' || $saison == '2014-2015')
	{
		$requete = 'SELECT
		COUNT(*) AS totalFormsComplets,
		SUM(fs_q1+fs_q2+fs_q3+fs_q4+fs_q5+fs_q6+fs_q71+fs_q72+fs_q73+fs_q81+fs_q82+fs_q83+fs_q91+fs_q92+fs_q10+fs_q11) AS totalPointsFormsComplets
		FROM isoactif_t_form_s' . $saisonPourQuery . ',isoactif_t_usager_ecole,t_liste_ecoles_08,t_arse
		WHERE fs_u_id_fk = u_id AND u_e_id_fk = ID AND a_id_fk = a_id AND a_id = ' . escape_valeur($pRegion) . ' AND fs_complet = \'oui\'';
		if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
		$ligne = $resultat->fetch_assoc();
	}
	else if ($saison == '2015-2016' || $saison == '2016-2017') // 2015-2016 et 2016-2017
	{
		$requete = 'SELECT
		COUNT(*) AS totalFormsComplets,
		SUM(fs_q1+fs_q2+fs_q3+fs_q4+fs_q6+fs_q71+fs_q72+fs_q73+fs_q81+fs_q82+fs_q83+fs_q91+fs_q92+fs_q10+fs_q11) AS totalPointsFormsComplets
		FROM isoactif_t_form_s' . $saisonPourQuery . ',isoactif_t_usager_ecole,t_liste_ecoles_08,t_arse
		WHERE fs_u_id_fk = u_id AND u_e_id_fk = ID AND a_id_fk = a_id AND a_id = ' . escape_valeur($pRegion) . ' AND fs_complet = \'oui\'';
		if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
		$ligne = $resultat->fetch_assoc();
	}
	else
	{
		$requete = 'SELECT
		COUNT(*) AS totalFormsStarted,
		SUM(IFNULL(fs_q1, 0) + IFNULL(fs_q2, 0)+IFNULL(fs_q3_1, 0)+IFNULL(fs_q3_2, 0)+IFNULL(fs_q4, 0)+IFNULL(fs_q5, 0)+IFNULL(fs_q6_1, 0)+IFNULL(fs_q6_boni, 0)+IFNULL(fs_q6_2, 0)+IFNULL(fs_q7, 0)+IFNULL(fs_q8, 0)+IFNULL(fs_q8_boni, 0)+IFNULL(fs_q9, 0)+IFNULL(fs_q9_boni, 0)+IFNULL(fs_q10, 0)) AS totalPointsFormsComplets
		FROM isoactif_form_s' . $saisonPourQuery . ',isoactif_t_usager_ecole,t_liste_ecoles_08,t_arse
		WHERE fs_u_id_fk = u_id AND u_e_id_fk = ID AND a_id_fk = a_id AND a_id = ' . escape_valeur($pRegion);
		if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
		$ligne = $resultat->fetch_assoc();
	}

	if ($saison == '2013-2014' || $saison == '2014-2015')
		$secondaireMax = $ligne['totalFormsComplets'] * 86;
	else if ($saison == '2015-2016' || $saison == '2016-2017')
		$secondaireMax = $ligne['totalFormsComplets'] * 80;
	else if ($saison == '2017-2018' || $saison == '2018-2019' || $saison == '2019-2020') // 2018-2019++
		$secondaireMax = $ligne['totalFormsStarted'] * 50;
	else if ($saison == '2022-2023') // 2022-2023
		$secondaireMax = $ligne['totalFormsStarted'] * 50;

	$secondaireTotal = $ligne['totalPointsFormsComplets'];

	$resultat->free();

	// Si aucun formulaire secondaire complété
	if ($secondaireMax == 0)
	{
		$html .= '<br />';
		$html .= '<strong>SECONDAIRE :</strong> Aucun formulaire compl&eacute;t&eacute;';
	}
	else
	{
		$pctgTotalS = ($secondaireTotal * 100) / $secondaireMax;
		$pctgTotalS = round($pctgTotalS);

		$html .= '<br />';
		$html .= '<strong>SECONDAIRE :</strong> ' . $secondaireTotal . '/' . $secondaireMax . ' (' . $pctgTotalS . '%) - ';

		$html .= afficherCertificationPrimaire($pctgTotalS);
	}
	##############################################################################
	##############################################################################
	##############################################################################

	return utf8_decode($html);
}
?>
